| gvSIG desktop 1 - gvSIG feature requests #1222
Improve CSW client compatibility
10/03/2012 06:09 PM - Cesar Martinez Izquierdo

Status: Fixed % Done: 100%
Priority: Normal

Assignee: Francisco José Pefarrubia

Category:

Target version:

gvSIG version: 1.12.0 Add-on version:

Keywords: Add-on resolve version:

Has patch: Yes Add-on resolve build:
Add-on name: Unknown

Description

CSW client has several compatibility problems:

- CSW 2.0.2 version is not supported

- International characters are not properly supported

- Protocol errors are not recorded on gvSIG log

- WCS layers are not correctly loaded from the catalog client

The attached patch addresses all these errors.

History

#1 - 10/16/2012 02:17 PM - Manuel Madrid
- Target version deleted (1.12.0-final)

#2 - 01/10/2013 07:00 PM - Francisco José Pefarrubia
- Status changed from New to Fixed
- % Done changed from 0 to 100

Applied in changeset r39586.

#3 - 01/10/2013 08:43 PM - Francisco Puga
- Assignee set to Francisco José Penfarrubia
- Target version set to 1.13.0

As this patch affects liblverUtiles, and appCatalogAndGazzeteerClient depends on iver-utiles.jar i think that a new version of the jar should be also
upload of the repo.

If not, you will get a compilation error, if you don't download also the liblverUtiles project and compile it by yourshelf.

#4 - 02/21/2014 09:40 AM - Alvaro Anguix

- Project changed from Application: gvSIG desktop to | gvSIG desktop 1

- Category deleted (Catalog)

- Target version deleted (1.13.0)
